function init(hero) {
    hero.setName("Black Samson");
    hero.setVersion("Power Suit")
    hero.setTier(6);
	hero.setVersion("\u00A7e\u00A7l\I\u00A7b\u00A7l\N\u00A7e\u00A7l\V\u00A7b\u00A7l\I\u00A7e\u00A7l\N\u00A7b\u00A7l\C\u00A7e\u00A7l\I\u00A7b\u00A7l\B\u00A7e\u00A7l\L\u00A7b\u00A7l\E\u00A7r")
    
    hero.addPowers("mvh:inv_blacksamsonps");

    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    
    hero.addAttribute("PUNCH_DAMAGE", 4.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);
    
    hero.addKeyBind("ENERGY_PROJECTION", "Powersuit Blast", 1);
    hero.addKeyBind("AIM", "key.aim", 2)
    hero.addKeyBind("HOVER", "key.levitate", 3);
    hero.addKeyBind("SHIELD", "key.forcefield", 4);

    hero.supplyFunction("canAim", canAim);
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty() && !entity.getData("fiskheroes:jetpacking");
}
